// creator  : weidu.exe (version 23600)
// argument : X#DGNLG.DLG
// game     : .
// source   : ./override/X#DGNLG.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~X#DGNLG~

IF ~  Global("X#DQGoodGnolls","GLOBAL",1)
~ THEN BEGIN 0 // from:
  SAY #49039 /* ~Here, boys! We do not fight. We came to warn the witch that the Old One is hunting her. He sent out others - many more than us to find her and bring her back in.~ */
  IF ~~ THEN EXTERN ~BDYNAH~ 287
END

IF ~~ THEN BEGIN 1 // from:
  SAY #49053 /* ~The Old One is a sorcerer of great power. He wants the witch. I do not know any more of him.~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #49054 /* ~The witch's book shows us that the killing is wrong! The Old One is not following The book.~ */
  IF ~~ THEN EXTERN ~BDYNAH~ 291
END

IF ~~ THEN BEGIN 3 // from:
  SAY #49056 /* ~The Old One ordered to find the witch. Hound said - we sooner find her by scent, and all we had was the witch's book. So Hound ordered me to rip it apart and divide between others... I did. Then me and my pack saw the light. Instead of hunting the witch we came to warn her.~ */
  IF ~~ THEN EXTERN ~BDYNAH~ 292
END

IF ~~ THEN BEGIN 4 // from:
  SAY #49061 /* ~The witch's book shows us that the killing is wrong!~ */
  IF ~~ THEN EXTERN ~BDYNAH~ 293
END

IF ~~ THEN BEGIN 5 // from:
  SAY #49056 /* ~The Old One ordered to find the witch. Hound said - we sooner find her by scent, and all we had was the witch's book. So Hound ordered me to rip it apart and divide between others... I did. Then me and my pack saw the light. Instead of hunting the witch we came to warn her.~ */
  IF ~~ THEN EXTERN ~BDYNAH~ 294
END

IF ~~ THEN BEGIN 6 // from:
  SAY #49053 /* ~The Old One is a sorcerer of great power. He wants the witch. I do not know any more of him.~ */
  IF ~~ THEN EXTERN ~BDYNAH~ 295
END

IF ~~ THEN BEGIN 7 // from:
  SAY #49069 /* ~We keep the book - when we find it. Others have it. It showed us the light - maybe it shows the light to others? Or protects us against the Old One?~ */
  IF ~~ THEN REPLY #49070 /* ~No it won't. It's not some holy text, just some notes. Give it back to Dynaheir, creature!~ */ EXTERN ~BDYNAH~ 297
  IF ~~ THEN REPLY #49071 /* ~If you have faith in it, the book will help you. Go in peace.~ */ DO ~AddexperienceParty(2000)
ActionOverride("X#DGNLG1",EscapeArea())
ActionOverride("X#DGNLG2",EscapeArea())
ActionOverride("X#DGNLG3",EscapeArea())
ActionOverride("X#DGNLG4",EscapeArea())
~ EXIT
  IF ~~ THEN REPLY #49072 /* ~Right. Got it. Well, good gnoll, keep the journal if you find it and be a good boy. Ta-ta!~ */ DO ~AddexperienceParty(2000)
ActionOverride("X#DGNLG1",EscapeArea())
ActionOverride("X#DGNLG2",EscapeArea())
ActionOverride("X#DGNLG3",EscapeArea())
ActionOverride("X#DGNLG4",EscapeArea())
~ EXIT
  IF ~~ THEN REPLY #49073 /* ~Good luck, gnoll - I wish you well, but we seek the book for Dynaheir. Leave this area now. Do not stray, for we will be watching you carefully...~ */ DO ~AddexperienceParty(2000)
~ GOTO 8
  IF ~  Class(Player1,PALADIN)
~ THEN REPLY #49074 /* ~I sense that you have done many villainous deeds - murder and worse - in the past, creature. But all I see now are good hearts. I will not execute you to correct the past wrongs, but will order you to live and to make amends for all the ills you have caused. Stray off this course - and my blade will find you. Go now, convert such foul creatures as you may and stop wrongdoing that you see. So I, <CHARNAME> of Candlekeep, charge thee.~ */ DO ~AddexperienceParty(2000)
ActionOverride("X#DGNLG4",EscapeArea())
ActionOverride("X#DGNLG3",EscapeArea())
ActionOverride("X#DGNLG2",EscapeArea())
ActionOverride("X#DGNLG1",EscapeArea())
~ EXIT
  IF ~~ THEN REPLY #49075 /* ~Whatever your story, I just do not like your muzzled face, gnoll. I am going to kill you all!~ */ GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.5 7.3
  SAY #49076 /* ~If you want to kill us, we will defend ourselves. We will not raise our weapons otherwise.~ */
  IF ~~ THEN DO ~ActionOverride("X#DGNLG4",EscapeArea())
ActionOverride("X#DGNLG3",EscapeArea())
ActionOverride("X#DGNLG2",EscapeArea())
ActionOverride("X#DGNLG1",EscapeArea())
~ EXIT
END

IF ~~ THEN BEGIN 9 // from:
  SAY #49081 /* ~We do not have the book. We search for it.~ */
  IF ~~ THEN EXTERN ~BDYNAH~ 299
END
